ITPub博客

首页 > Linux操作系统 > Linux操作系统 > DBCA建库前升级需要执行catpatch.sql,utlrp.sql两个脚本吗 ?

DBCA建库前升级需要执行catpatch.sql,utlrp.sql两个脚本吗 ?

原创 Linux操作系统 作者:tolywang 时间:2009-05-19 14:40:38 0 删除 编辑
Linux AS3.0
Oracle9.2.0.1 升级到Oracle9.2.0.7  


问题 :  建立数据库实例前升级然后才DBCA建库实例,不需要执行这几个脚本吧 ?  



一般升级打patch 后, 我们需要执行下面两个脚本,  这种情况是我们的库实例已经存在的情况下升级的步骤 。
如果新安装的Oracle软件Oracle9.2.0.1 , 还没有DBCA建立数据库实例,就开始打Patch 9207, 然后DBCA
建立数据库实例 , 这样的情况下应该不需要执行以下两个脚本吧  (utlrp.sql编译无效对象,新建的实例一般
都是valid对象,catpatch.sql 重建数据字典视图,我是在升级ORACLE rdbms之后DBCA建的库实例,那么也
应该不需要执行catpatch.sql ) ?






-----------------------------------------------------------------


--编译无效对象脚本utlrp.sql
$ sqlplus '/as sysdba' @?/rdbms/admin/utlrp.sql
utlrp.sql脚本可以在数据库运行的状态下执行以编译、数据库中的invalid对象.
oracle建议在对数据库进行迁移、升级、降级后都运行一遍utlrp.sql以编译无效对象。

--打完patch后重建数据字典视图脚本catpatch.sql
为了保证系统的的数据词典的完整性和有效性,最好的打patch后在migrate状态下运行catpatch.sql
sql> shutdown immediate
sql> startup migrate
sql> @?/rdbms/admin/catpatch.sql
sql> shutdown immediate
sql> startup

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/35489/viewspace-600440/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论
Oracle , MySQL, SAP IQ, SAP HANA, PostgreSQL, Tableau 技术讨论,希望在这里一起分享知识,讨论技术,畅谈人生 。

注册时间:2007-12-10

  • 博文量
    5595
  • 访问量
    13468812